
<?php
		header("Access-Control-Allow-Origin: *");
		header("Access-Control-Allow-Headers: access");
		header("Access-Control-Allow-Methods: GET");
		header("Access-Control-Allow-Credentials: true");
		header("Content-Type: application/json; charset=UTF-8");


		include_once '../Database.php';
		include_once 'cliente.php';

		$database = new DataBase();
		$db = $database->getConnection();

		$client = new CLIENTE($db);

		$cliente = isset($_GET['email'])?$_GET['email']:die();
		

$de='SistemaCihuacoatl <sistemcoatl@hotmail.com>';
 

$stmt = $client->select("select id from web where correo='".$cliente."' ");
$num = $stmt->rowCount();

if($num>0){
$row =$stmt->fetch(PDO::FETCH_ASSOC);
extract($row);

$html ='<table style="border-collapse: collapse; width: 600px;margin: 0 auto;">
	<thead>
		<tr style="width: 100%; height: 30px; background: rgb(198,3,17);">
			<th>
				<a href="https://www.sistemacihuacoatl.com" style="text-decoration: none;color: white;float: left;margin-left: 10px;">SISTEMACIHUACOATL.COM</a>
			</th>
		</tr>
		<tr>
			<th style="background: rgb(198,3,17);-webkit-box-shadow: inset 0px 33px 33px -27px rgba(0,0,0,0.29);
-moz-box-shadow: inset 0px 33px 33px -27px rgba(0,0,0,0.29);
box-shadow: inset 0px 33px 33px -27px rgba(0,0,0,0.29);">
				<img src="http://www.promozonea.com.mx/Cihuacoatl/imagenes/logo.png" width="50%" height="150px">
			</th>
		</tr>
		<tr>
			<th style="background: rgb(8,0,1);color: white; margin-top: -2px;width: 100%;">
				<h1 >Cambio de Contraseña</h1>
			</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
			<p>Recientemente resivimos una petición de cambio de contraseña, siga la liga para continuar con el proceso, en caso de no conocer esta petición ignorela.</p>
			</td>
		</tr>
		<tr>
			<td>
				<table style="margin-top: 20px;margin-bottom: 30px;" width="100%">
					<thead>
						<tr>
							<th>Registro </th>
							<th>Código</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td>
								Cambiar Contraseña:
							</td>
							<td>
								<a href="http://nymbhus.com/#/restart/'.$id.'">Cambiar Contraseña</a>
							</td>
						</tr>
					</tbody>
				</table>
			</td>
		</tr>
	</tbody>
	<tfoot>
		<tr style="width: 100%; height: 30px; background: rgb(198,3,17);">
			<td>
				<a href="https://www.facebook.com/sistemacihuacoatl/" style="text-decoration: none;color: white;float: left;margin-left: 10px;">Siguenos en Facebook</a>
			</td>
			
		</tr>
		<tr style="width: 100%; height: 30px; background: rgb(198,3,17); color: white;">
			<td>
				<p>Dirección</p>
			</td>
		</tr>
	</tfoot>
</table>';

//echo $html;

$cabeceras  = 'MIME-Version: 1.0' . "\r\n";
$cabeceras .= 'Content-type: text/html; charset=utf-8' . "\r\n";
 
				// Cabeceras adicionales
$cabeceras .= 'From: '.$de . "\r\n";


if(mail($cliente, "Cambio de Contraseña", $html, $cabeceras)){
	echo json_encode(array("Mensaje"=>"Se ha enviado un correo."));
}else{
	echo json_encode(array("Error"=>"No se ha podido atender la petición"));	;	
	}
			
			
}
else {
		echo json_encode(array("Mensaje"=>"No se ha podido procesar la solicitud"));
}


?>